> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 企業のShieldリストを取得

> 企業のすべてのShieldリストを取得します。

<Note>
  「[Box SDKのバージョニング戦略](/ja/guides/tooling/sdks/sdk-versioning/)について詳しく学ぶ。」
</Note>


## OpenAPI

````yaml box-openapi-v2025.0-jp.json GET /shield_lists
openapi: 3.0.2
info:
  title: Box Platform API
  description: >-
    [Box
    Platform](https://developer.box.com)では、[Box](https://box.com)内に保存されているコンテンツへのアクセス権限を付与する機能が提供されています。また、ファイルとフォルダの基本操作、会社内のユーザーの管理、リーガルホールドやリテンションポリシーなどの複雑なトピックのためのエンドポイントも提供されています。
  termsOfService: https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9
  contact:
    name: Box, Inc
    url: https://developer.box.com
    email: devrel@box.com
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2025.0'
  x-box-commit-hash: 92c221bf9d
servers:
  - url: https://api.box.com/2.0
    description: Box Platform APIサーバー。
security:
  - OAuth2Security: []
tags:
  - name: Archives
    description: アーカイブを管理するために使用される、一連のエンドポイント。
    x-box-tag: archives
  - name: Enterprise構成
    description: 管理者がBox製品の動作を制御するために操作するEnterprise構成。
    x-box-tag: enterprise_configurations
  - name: Box Doc Gen
    description: Doc Genは、ドキュメントを自動的に生成するために使用されます。
    x-box-tag: docgen
  - name: Box Doc Genテンプレート
    description: Doc Genテンプレートは、ドキュメントを生成するための入力として使用されます。
    x-box-tag: docgen_template
  - name: 外部ユーザー
    description: 外部ユーザーは、自社に所属していないコラボレータです。
    x-box-tag: external_users
  - name: Box Hubs
    description: Box Hubsを管理するために使用される、一連のエンドポイント。
    x-box-tag: hubs
  - name: Box Hubコラボレーション
    description: Box Hub内のコラボレーションを管理するために使用される、一連のエンドポイント。
    x-box-tag: hub_collaborations
  - name: Box Hubドキュメント
    description: Box Hubドキュメント要素 (ページとコンテンツブロック) を取得するために使用される、一連のエンドポイント。
    x-box-tag: hub_document
  - name: Box Hubの項目
    description: Box Hub内の項目を管理するために使用される、一連のエンドポイント。
    x-box-tag: hub_items
  - name: Shieldリスト
    description: Shieldリストを使用すると、管理者は、さまざまなShieldスマートアクセスルールや脅威検出ルールで共有される項目のリストを作成できます。
    x-box-tag: shield_lists
externalDocs:
  description: Box Developerドキュメント。
  url: https://developer.box.com
paths:
  /shield_lists:
    get:
      tags:
        - Shieldリスト
      summary: 企業のShieldリストを取得
      description: 企業のすべてのShieldリストを取得します。
      operationId: get_shield_lists_v2025.0
      parameters:
        - $ref: '#/components/parameters/BoxVersionHeader'
      responses:
        '200':
          description: Shieldリストオブジェクトのリストを返します。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ShieldLists'
      x-codeSamples:
        - lang: curl
          label: 企業のShieldリストを取得
          source: |-
            curl -i -X GET "https://api.box.com/2.0/shield_lists" \
                 -H "box-version: 2025.0" \
                 -H "authorization: Bearer <ACCESS_TOKEN>"
        - lang: dotnet
          label: 企業のShieldリストを取得
          source: await client.ShieldLists.GetShieldListsV2025R0Async();
        - lang: java
          label: 企業のShieldリストを取得
          source: client.getShieldLists().getShieldListsV2025R0()
        - lang: node
          label: 企業のShieldリストを取得
          source: await client.shieldLists.getShieldListsV2025R0();
        - lang: python
          label: 企業のShieldリストを取得
          source: client.shield_lists.get_shield_lists_v2025_r0()
components:
  parameters:
    BoxVersionHeader:
      name: box-version
      in: header
      description: Version header.
      allowEmptyValue: false
      required: true
      schema:
        type: string
        enum:
          - '2025.0'
      example: '2025.0'
  schemas:
    ShieldLists:
      description: Shieldリストオブジェクトのリスト。
      type: object
      allOf:
        - properties:
            entries:
              description: Shieldリストオブジェクトのリスト。
              type: array
              items:
                $ref: '#/components/schemas/ShieldList--Mini'
      title: Shieldリストのリスト
      x-box-resource-id: shield_lists_v2025.0
      x-box-tag: shield_lists
    ShieldList--Mini:
      description: ShieldリストのMini版の表示。
      type: object
      properties:
        id:
          description: このリストの一意のグローバル識別子。
          type: string
          example: 12345678-1234-1234-1234-123456789012
        type:
          description: オブジェクトのタイプ。
          type: string
          example: shield_list
          enum:
            - shield_list
        name:
          description: Shieldリストの名前。
          type: string
          example: My Shield List
        content:
          properties:
            type:
              description: Shieldリスト内のコンテンツのタイプ。
              type: string
              example: country_code
          type: object
      required:
        - id
        - type
        - name
        - content
      title: Shieldリスト (Mini)
      x-box-resource-id: shield_list_v2025.0--mini
      x-box-tag: shield_lists
  securitySchemes:
    OAuth2Security:
      type: oauth2
      description: >-
        The access token received from the authorization server in the OAuth 2.0
        flow.
      flows:
        authorizationCode:
          authorizationUrl: https://account.box.com/api/oauth2/authorize
          tokenUrl: https://api.box.com/oauth2/token
          scopes:
            root_readonly: Boxに格納されているすべてのファイルとフォルダの読み取り
            root_readwrite: Boxに格納されているすべてのファイルとフォルダの読み取りと書き込み
            manage_app_users: App Userのプロビジョニングと管理
            manage_managed_users: 管理対象ユーザーのプロビジョニングと管理
            manage_groups: 企業のグループの管理
            manage_webhook: APIを使用したプログラムによるWebhookの作成
            manage_enterprise_properties: Enterpriseのプロパティを管理
            manage_data_retention: データリテンションポリシーの管理
            manage_legal_hold: リーガルホールドの管理

````